List uploaded assets for an owned integration set.
curl --request GET \
--url https://api.nebyoulous.space/integration-sets/{id}/assets \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebyoulous.space/integration-sets/{id}/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/integration-sets/{id}/assets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"assets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "INTEGRATION",
"relativePath": "<string>",
"filename": "<string>",
"sizeBytes": 123,
"contentType": "<string>",
"createdAt": "<string>"
}
],
"summary": {
"totalFiles": 0,
"totalBytes": 123,
"byFolder": [
{
"folder": "<string>",
"fileCount": 0,
"totalBytes": 123,
"topExtensions": [
"<string>"
]
}
],
"byType": [
{
"label": "<string>",
"fileCount": 0,
"totalBytes": 123
}
]
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Integration sets
List uploaded assets for an owned integration set.
GET
/
integration-sets
/
{id}
/
assets
List uploaded assets for an owned integration set.
curl --request GET \
--url https://api.nebyoulous.space/integration-sets/{id}/assets \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebyoulous.space/integration-sets/{id}/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/integration-sets/{id}/assets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"assets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "INTEGRATION",
"relativePath": "<string>",
"filename": "<string>",
"sizeBytes": 123,
"contentType": "<string>",
"createdAt": "<string>"
}
],
"summary": {
"totalFiles": 0,
"totalBytes": 123,
"byFolder": [
{
"folder": "<string>",
"fileCount": 0,
"totalBytes": 123,
"topExtensions": [
"<string>"
]
}
],
"byType": [
{
"label": "<string>",
"fileCount": 0,
"totalBytes": 123
}
]
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
An access token issued by a Nebyoulous sign-in: the web session, nebyoulous login, or an MCP OAuth grant.
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$